Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability

From: <[email-masked]>
Date: Mon, 8 Nov 2021 10:59:39 +0800 (CST)

Dear CCAMPers,

I uploaded the 08 version to address the comments during WG last call after discussing with the other authors, please read it to see if your have further comments.
https://datatracker.ietf.org/doc/draft-ietf-ccamp-gmpls-otn-b100g-applicability/

Thanks
Qilei (on behalf of the authors)

------------------原始邮件------------------
发件人：AdrianFarrel
收件人：王其磊10101413;
抄送人：daniele.ceccarelli=[email-masked];[email-masked];
日 期 ：2021年09月17日 18:33
主 题 ：RE: [CCAMP] WG last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability
" _ue_custom_node_="true">
Hi Qilei,
Thanks for considering my points.
I’m OK with your resolutions.
For the Security Considerations, you shouldn’t be afraid to provide more text even if your conclusion is that nothing extra needs to be added. That is, give a clear explanation of why there is no need for the reader to be concerned about the security.
Cheers,
Adrian
From: [email-masked] <[email-masked]>
Sent: 17 September 2021 07:54
To: [email-masked]
Cc: daniele.ceccarelli=[email-masked]; [email-masked]
Subject: Re:[CCAMP] WG last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability
Thank you Adrian for the comments, please see my reply in-line.
We authors will start to update the draft if you are fine with the reply.
Thanks
Qilei
原始邮件
发件人：AdrianFarrel
收件人：'Daniele Ceccarelli';'CCAMP';
日 期 ：2021年09月03日 05:39
主 题 ：Re: [CCAMP] WG last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability
_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp
Thanks for the prod, Daniele.
I think it is a fine thing to keep up-to-date with developments in G.709. And it is good news that no protocol changes are needed.
I support publication.
Here are some review comments.
Cheers,
Adrian
== Medium ==
There is a lot more text in Section 3 than I am really comfortable with.
Is it really our job to summarise the work of the ITU in our documents.
If you want to go ahead with this text, perhaps the introduction text in
Section 3 should include a statement like...
The text in this section is purely descriptive and is not normative.
For a full description of OTUCn/ODUCn signals please refer to
[ITU-T_G709_2020].  In the event of any discrepancy between this text
and [ITU-T_G709_2020], that other document is definitive.
Qilei: we authors agree with the introduction suggested. We also think section 3 is a bit long and will start to reduce the content of section 3 to describe only what is required.
---
I don't see how you can get away with Section 9. You should at least
explain why there are no security considerations (presumably because
there are no changes to the protocols, so the security considerations
in the base references apply).
But does the change in G.709 make it possible to cause more harm to the
optical network if the control plane is attacked?
[Qilei]: I checked RFC7138 and RFC7139 also, and suggest the texts below to ba added:
"This document reuses the protocol extensions defined in RFC7138 and RFC7139 and does not define any new extensions. Therefore, this document introduces no new security considerations. Refer to RFC7138, RFC7139, as well as RFC3473 and RFC4328 for more details of the specific security measures"
For the second question, I think the answer is this is the same as the situation before. The control plane is operated separatedly from the data plane. The change in G.709 does not bring any change to the operation of control plane.
== Minor ==
Section 2 should include "ODUFlex"
Qilei: OK. will include "ODUflex".
---
4.2
"with no/few changes"  Which is it? I suspect "no" given Section 4.3
Qilei: would delete "few".
---
The front page has 5 authors (which is fine). Section 6 seems to be
trying to subvert this! You MUST have the same list of people in
Section 5 as on the front page. Obviously, there is a strong desire
to limit this to 5 names.
[Qilei]: we will follow the proposal in RFC7322, keeping max 5 authors in the front page and section 6.
== Nits ==
Title
Expand "B100G"
Qilei: would replace "B100G" with "beyond 100G".
---
Abstract
s/LSP/LSPs/
s/links,/links/
Expand LSP and ODU
Qilei: we will put these terminologies / definitions missing in section 2 and use the abbreviation in the rest of the document.
---
1.
Expand LSP, OTN, and ODU on first use
Qilei: same as the previsou one.
s/new version/further version/
s/introduces new/introduced/
s/LSP over/LSPs over/
s/comparing to/compared to/
s/setup/set up/
Qilei: accepted
---
2.
Section heading should be in title case
2.  OTN Terminology Used in this Document
Is it really "Tributary Port number" or "Tributary Port Number"?
Qilei: "Tributary Port Number"
---
Are the two lines of "===" in Figures 1 through 5 necessary?
Qilei: not necessary, would delete the "==="
---
4.1
s/the figure below/Figure 4/
s/Two endpoints/The two endpoints/
Qilei: accepted
---
4.2
s/RFC7139/[RFC7139]/  Three times
s/ODUflex LSP/ODUflex LSPs/
s/currently defined in G.709/defined in [ITU-T_G709_2020]/
s/for ODUCn link/for an ODUCn link/
s/An example is given below/An example is given in Figure 5/
Qilei: accepted
From: CCAMP <[email-masked]> On Behalf Of Daniele Ceccarelli
Sent: 02 September 2021 13:10
To: CCAMP ([email-masked]) <[email-masked]>
Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability
WG,
Just a reminder. The polling closes tomorrow.
BR
Daniele
From: Daniele Ceccarelli
Sent: den 20 augusti 2021 14:55
To: CCAMP <[email-masked]>
Cc: OSCAR GONZALEZ DE DIOS ([email-masked]) <[email-masked]>
Subject: WG last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability
CCAMP,
the IPR declaration collection has been successfully completed, we’re ready for the WG last call.
This starts a 2 weeks working group last call on draft-ietf-ccamp-gmpls-otn-b100g-applicability
The last call ends on Friday September 3rd . Please send you comments to the CCAMP mailing list.
All the IPR declarations from authors and contributors have been collected and can be found in the history of the document.
If interested, please volunteer to be the shepherd of the draft (authors excluded).
As stated during the IPR polling, since Fatai and myself are involved in the draft as authors/contributors, the WG last call will be run by Oscar.
Thanks
Daniele & Fatai
From: Daniele Ceccarelli <[email-masked]>
Sent: den 6 juli 2021 11:33
To: [email-masked]; [email-masked]; Zhenghaomian <[email-masked]>; [email-masked]; BELOTTI, SERGIO (SERGIO) <[email-masked]>; [email-masked]; Daniele Ceccarelli <[email-masked]>; [email-masked]; Fatai Zhang <[email-masked]>; Italo Busi <[email-masked]>; Dieter Beller ([email-masked]) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]' <[email-masked]>; [email-masked]
Cc: CCAMP <[email-masked]>
Subject: IPR polling on draft-ietf-ccamp-gmpls-otn-b100g-applicability-07
Authors, Contributors, CCAMP,
This is the IPR polling in preparation for the WG LC of draft-ietf-ccamp-gmpls-otn-b100g-applicability-07.
Please note that since Fatai and myself are involved in the draft as authors/contributors, the WG last call will be run by Oscar.
Are you aware of any IPR that applies to draft identified above?
Please state either:
"No, I'm not aware of any IPR that applies to this draft"
or
"Yes, I'm aware of IPR that applies to this draft"
If so, has this IPR been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details)?
If yes to the above, please state either:
"Yes, the IPR has been disclosed in compliance with IETF IPR rules"
or
"No, the IPR has not been disclosed"
If you answer no, please provide any additional details you think appropriate. If you are listed as a document author or contributor please answer the above by responding to this email regardless of whether or not you are aware of any relevant IPR.
NOTE: THIS APPLIES TO ALL OF YOU LISTED IN THIS MESSAGE'S TO LINES.
If you are on the CCAMP WG email list but are not listed as an author or contributor, we remind you of your obligations under the IETF IPR rules which encourages you to notify the IETF if you are aware of IPR of others on an IETF contribution, or to refrain from participating in any contribution or discussion related to your undisclosed IPR. For more information, please see the RFCs listed above and http://trac.tools.ietf.org/group/iesg/trac/wiki/IntellectualProperty.
Thank you,
Daniele & Fatai